require 'test_helper'
require 'gradesfirst/command'

describe GradesFirst::Command do
  specify '#story_id pulls the story id from the branch' do
    assert '123', GradesFirst::Command.new.send(:story_id, 'abc/123')
  end

  specify '#story_id returns nil if not story id' do
    assert_nil GradesFirst::Command.new.send(:story_id, 'abc')
  end

  specify '#day_zero is the beginning of our first sprint' do
    assert_equal(
      Time.parse("2014-3-10 00:00:00"),
      GradesFirst::Command.new.send(:day_zero),
      'Day zero should be March 10, 2014'
    )
  end
end
