require 'test_helper'
require 'gradesfirst/config'

describe GradesFirst::Config do
  specify '#code_talkers is the list of code talkers' do
    code_talkers = [
      "Anthony Crumley",
      "Tom Miller",
      "Andrew Sellers",
      "Matt Turney",
      "Zac Williams",
      "Ben Holley",
      "Chris Collins",
      "Evan Travers"
    ]
    assert_equal(
      code_talkers,
      GradesFirst::Config.new.code_talkers,
      'Configuration should return a code talker list.'
    )
  end

  specify '#day_zero is the beginning of our first sprint' do
    assert_equal(
      Time.parse("2014-3-10 00:00:00"),
      GradesFirst::Config.new.day_zero,
      'Day zero should be March 10, 2014'
    )
  end

  specify '#developers is the list of developers' do
    developers = [
      "Anthony Crumley",
      "Tom Miller",
      "Andrew Sellers",
      "Matt Turney",
      "Zac Williams",
      "Ben Holley"
    ]
    assert_equal(
      developers,
      GradesFirst::Config.new.developers,
      'Configuration should return a developer list.'
    )
  end
end
