require 'test_helper'
require 'gradesfirst/pair_command'

describe GradesFirst::PairCommand do
  specify '#execute informs of missing config file' do
    GradesFirst::Config.load_paths = ["test/fixtures/.env.gf.missing"]
    command = GradesFirst::PairCommand.new

    stdout, stderr = capture_io do
      command.execute
    end

    assert_equal(
      fixture_file('missing_config.txt'),
      stdout,
      'The missing config file message was not displayed.'
    )
  end

  specify '#execute pairs developers correctly' do
    command = GradesFirst::PairCommand.new
    @developers = [
      'Mickey Mouse',
      'Cat Woman',
      'Wonder Woman',
      'Superman',
      'Minnie Mouse',
      'Ironman'
    ]
    config = OpenStruct.new(
      developers: @developers,
      day_zero: Time.parse("2014-3-10 00:00:00")
    )
    command.stub :config, config do
      command.stub :now, Time.parse("2014-3-25 00:00:00") do
        command.execute
      end
    end
    assert_equal(
      fixture_file('pair.txt'),
      command.response,
      'Programmer pairing is not correct.'
    )
  end
end
